### Property

# Ide TemplateBase:locator

#### Declaration

    property locator: Template.TemplateLocator [ read, write ]

#### Description

The `IdeTemplateBase:locator` property contains the `TmplTemplateLocator` that should be used to resolve template includes. If `NULL`, templates will not be allowed to include other templates. directive.

Type: | `TmplTemplateLocator`
Available since: | 3.32

Setter method | `ide_template_base_set_locator()`
Getter method | `ide_template_base_get_locator()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no